# StageLogPop

This function pops a stage from the stack.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT StageLogPop(StageLog stageLog)

Not Collective

### Input Parameter

stageLog -The StageLog

### Usage

If the option -log_sumary is used to run the program containing the following code, then 2 sets of summary data will be printed during PetscFinalize().

          PetscInitialize(int *argc,char ***args,0,0);
          [stage 0 of code]
          StageLogPush(stageLog,1);
          [stage 1 of code]
          StageLogPop(stageLog);
          PetscBarrier(...);
          [more stage 0 of code]
          PetscFinalize();

### Notes

Use StageLogRegister() to register a stage.

### Keywords

log, pop, stage

### See Also

StageLogPush(), StageLogGetCurrent(), StageLogRegister(), PetscLogGetStageLog()

Level:intermediate
Location:src/sys/plog/utils/stageLog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages